# Method: accounts.locations.localPosts.reportInsights

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.ReportLocalPostInsightsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#body.aspect)
- [LocalPostMetrics](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#LocalPostMetrics)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#LocalPostMetrics.SCHEMA_REPRESENTATION)

Returns insights for a set of local posts associated with a single listing. Which metrics and how they are reported are options specified in the request proto.

> [!NOTE]
> **Note:** Insight reports are limited to 100 `localPostNames` per call.

<br />

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*}/localPosts:reportInsights`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the location for which to fetch insights. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "localPostNames": [ string ], "basicRequest": { object (`https://developers.google.com/my-business/reference/rest/v4/BasicMetricsRequest`) } } ``` |

| Fields ||
|---|---|
| `localPostNames[]` | `string` Required. The list of posts for which to fetch insights data. All posts have to belong to the location whose name is specified in the `name` field. |
| `basicRequest` | ``object (`https://developers.google.com/my-business/reference/rest/v4/BasicMetricsRequest`)`` A request to include basic metric insights in the report. This request applies to all posts requested. |

### Response body

If successful, the response body contains data with the following structure:
Response message for Insights.ReportLocalPostInsights

| JSON representation ||
|---|---|
| ``` { "name": string, "localPostMetrics": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#LocalPostMetrics`) } ], "timeZone": string } ``` |

| Fields ||
|---|---|
| `name` | `string` |
| `localPostMetrics[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations.localPosts/reportInsights#LocalPostMetrics`)`` One entry per requested post corresponding to this location. |
| `timeZone` | `string` Time zone (IANA timezone IDs, eg, 'Europe/London') of the location. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LocalPostMetrics

All the metrics requested for a Local Post.

| JSON representation ||
|---|---|
| ``` { "localPostName": string, "metricValues": [ { object (`https://developers.google.com/my-business/reference/rest/v4/MetricValue`) } ] } ``` |

| Fields ||
|---|---|
| `localPostName` | `string` |
| `metricValues[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/MetricValue`)`` A list of values for the requested metrics. |